GPSPROBE(1)

NAME
gpsprobe - probe a GPS for type, send-cycle time and accuracy information

SYNOPSIS

gpsprobe [-h] [-n packetcount] [device]

DESCRIPTION

gpsprobe will hunt through plausible baud rates beginning with the NMEA standard 4800, looking for one that elicits text looking like NMEA sentences.

gpsprobe then samples the NMEA data stream from a GPS and attempts to deduce various interesting pieces of information, including:

•   the GPS type (what chipset it uses)

•   the GPS protocol (NMEA or SiRF)

•   the inventory of NMEA sentence types it emits

•   its send cycle (frequency of updates)

Note: gpsprobe needs access to the raw GPS device. Therefore gpsd must not be running when you call gpsprobe. You will probably have to run as superuser to get access to the device.

OPTIONS

The -n option sets the number of packets to sample. The default is 100.

The -h option makes gpsprobe print a usage message and exit.

The argument, if given, sets the name of the GPS device. The default is /dev/gps.

BUGS AND LIMITAIONS

This program handles only straight NMEA devices. There is code that attempts to recognize a GPS emitting SiRF binary protocol and switch it to NMEA, but it is not well tested and probably fragile. This program won't handle the Garmin or Rockwell binary protocols at all.

The logic for hunting the GPS's baud rate is vulnerable to various sorts of RS323 flakiness. If it hangs for longer than a few seconds, kill the program and restart.

SEE ALSO

 gpsd(1) libgps(3) libgpsd(3) gpsprof(1) gpsfake(1) gnuplot(1)

AUTHOR

Eric S. Raymond <esr@thyrsus.com>. There is a project page for gpsd here: http://gpsd.berlios.de/.